int Sound_Sensor = A0; //A0에 센서연결
int Sensor_val;        //센서 ADC값 저장 변수
int LED_R = 4;         // 빨간색 LED 핀번호
int LED_G = 3;         // 초록색 LED 핀번호
int LED_B = 2;         // 파란색 LED 핀번호

void setup() { // 초기화
  pinMode(LED_R, OUTPUT); // 빨간색 LED 출력 설정
  pinMode(LED_G, OUTPUT); // 초록색 LED 출력 설정
  pinMode(LED_B, OUTPUT); // 파란색 LED 출력 설정
}
/*
  물높이에 따라 LED의 색상이 초록색에서 빨간색으로 변화한다.
*/
void loop() { // 무한루프
  Sensor_val = analogRead(Sound_Sensor);  //센서의 아날로그값 읽어오기

  if (Sensor_val <= 450) {      //만약 센서값이 450보다 작으면
    digitalWrite(LED_G, HIGH); // 초록 LED ON
    digitalWrite(LED_R, LOW);  // 빨간 LED OFF
  }
  else if (Sensor_val <= 550) { //만약 센서값이 550보다 작으면
    digitalWrite(LED_G, HIGH); // 초록 LED ON
    digitalWrite(LED_R, HIGH); // 빨간 LED ON
  }
  else {                       ////만약 센서값이 550보다 크면
    digitalWrite(LED_G, LOW);  // 초록 LED OFF
    digitalWrite(LED_R, HIGH); // 빨간 LED ON
  }

}
